print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local crudeoilHudFile = "Paletten/hud_fill_crudeoil.dds"
	local crudeoilHudFileSmall = "Paletten/hud_fill_crudeoil_smal.dds"
	
    local crudeoilFilType = g_fillTypeManager:addFillType("CRUDEOIL", g_i18n:getText("crudeoil"), true, pricebeer * 1.5, 0.00045, math.rad(10), crudeoilHudFile, crudeoilHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascrudeoil=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascrudeoil=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CRUDEOIL" then
		hascrudeoil=true
	end;
		
end;

		if hasmaize and not hascrudeoil then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CRUDEOIL")
		local price = g_fillTypeManager:getFillTypeByName("CRUDEOIL").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CRUDEOIL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)